$(document).ready(function() {
		/*******Variables Globales*****/
		var tirada=1;
		var correctas=0;
		var dificultad=1;
		var numTiradas=5;
		var resultado=0;
		var tipo_numeros=1;
		var estado_juego=0;//estado 0 juego parado, estado 1 juego en funcionamiento
		/******************************/

		///*******************************************************************
		// Menu scroll
pos = $('#flotante_sup').offset();
// Esperamos al DOM
$(window).scroll(function(){
        // Anclamos el menú si el scroll es 
        // mayor a la posición superior del tag
	if ( ($(this).scrollTop() >= pos.top)){
		// Añadimos la clase fixes al menú
		$('#flotante_sup').addClass('fixed');
		// Añadimos la clase scrolling al contenido **
		$("#central").addClass("scrolling");
	// Eliminamos las clases para volver a la posición original
	} else if ( ($(this).scrollTop() <= pos.top)){
		// Elimina clase fixes
		$('#flotante_sup').removeClass('fixed');
		// Elimina clase scrolling
		$("#central").removeClass("scrolling");
	}
});
///*******************************************************************
			//ocultar menu desplegable
			$('#menu_desplegable').hide();
			$('#respuesta').hide();

		$("#ocultar").click(function() {
			$('#menu_desplegable').slideUp();
			$('#barrita').slideDown();
		});
		$("#irMenu1").click(function() {
			window.location="menu1.html";
		});
		$("#select_dificultad").change(function() {
			dificultad= $("#select_dificultad").val();
			numTiradas=CalcNumTiradas(dificultad);
			
			if ($("#select_dificultad").val()>2){
				$('#select_tipo').val('2');
				$('#select_tipo').attr('disabled',true);
				tipo_numeros=2;
			}else{
				$('#select_tipo').val('1');
				$('#select_tipo').attr('disabled',false);
				tipo_numeros=1;
			}
			//reseteamos el juego si estamos en marcha
			if (estado_juego==1){
				$("#box_respuesta").val('');;
				resultado=comprueba_fin(tirada,numTiradas,correctas,dificultad,tipo_numeros);
				tirada=2;
			}
		});
		$("#select_tipo").change(function() {
			tipo_numeros=$("#select_tipo").val();
			//reseteamos tirada
			if (estado_juego==1){
				$("#box_respuesta").val('');;
				resultado=comprueba_fin(tirada,numTiradas,correctas,dificultad,tipo_numeros);
			}
		});
		
		$("#box_respuesta").focus(function() {
			$('#menu_desplegable').slideUp();
			$('#barrita').slideDown();
		});
		
		$("#barrita").mouseover(function() {
			$('#menu_desplegable').slideDown();
			$('#barrita').slideUp();
		})
		
		
		$("#start_game").click(function() {
			estado_juego=1;
			tirada=1;
			correctas=0;
			$('#boton_start').slideUp();
			$('#elementos_juego').slideDown();
			$('#respuesta').slideDown();
			resultado=comprueba_fin(tirada,numTiradas,correctas,dificultad,tipo_numeros);
			tirada++;
		});
		
		$("#siguiente").click(function() {
			if ($("#box_respuesta").val()==resultado) correctas++;
			$("#box_respuesta").val('');;
			resultado=comprueba_fin(tirada,numTiradas,correctas,dificultad,tipo_numeros);
			tirada++;
			if (tirada==numTiradas){
				estado_juego=0;
			}
		});
			
		
});
function CalcNumTiradas(nivel){
	var numTir=0;
	switch (nivel){
		case '1': 
			numTir=5; 
			break;
		case '2':
			numTir=10;
			break;
		case '3':
			numTir=15; 
			break;
		case '4':
			numTir=20;
			break;
		case '5':
			numTir=25; 
			break;
		case '6': 
			numTir=30; 
			break;
	}
	return numTir;
}
function comprueba_fin(tirada,max_tirada,correctas,dificultad,tipo_numeros){
	var resultado=0;
	if (tirada>max_tirada){
		incorrectas=max_tirada-correctas;
		imprime_fin(correctas, incorrectas);
		
	}else{
		resultado=calcula_operacion(dificultad,tipo_numeros);
	}
	return resultado;
}
function calcula_operacion(dificultad,tipo_numeros){
	if (dificultad=='1'){
		/*a+b<=10*/
		var a=aleatorioInt(1,9);
		var b=aleatorioInt(1,9);
	
		while (a+b>10){
			b=aleatorioInt(1,9);
		}
	}
	else if(dificultad=='2'){
		/*a+b a,b<=10 a>=b*/
		var b=aleatorioInt(1,10);
		var a=aleatorioInt(1,10);
		
		while (a<b){
			a=aleatorioInt(1,10);
		}
	}
	else if(dificultad=='3'){
		var b=aleatorioInt(-20,20);
		var a=aleatorioInt(0,20);
		
		while (a<=Math.abs(b)){
			a=aleatorioInt(0,20);
		}
	}
	else if(dificultad=='4'){
		/*a+b a,b<=10 a>=b*/
		var b=aleatorioInt(-50,50);
		var a=aleatorioInt(0,50);
		
		while (a<=Math.abs(b)){
			a=aleatorioInt(0,50);
		}
	}
	else if(dificultad=='5'){
		var b=aleatorioInt(-999,999);
		var a=aleatorioInt(-999,999);
		
		while ((b>-10)&&(b<30)){
			b=aleatorioInt(-999,999);
		}
	}
	else if(dificultad=='6'){
		/******/
		var b=aleatorioInt(-99999,99999);
		var a=aleatorioInt(-99999,99999);
		
		while ((b>-500)&&(b<500)){
			b=aleatorioInt(-99999,99999);
		}
	}
	
	
	imprimeOperacion(a,b,tipo_numeros);
	return (a+b);
}
function imprimeOperacion(a,b,tipo_numeros){
	var html_imprimir=''
	if (tipo_numeros==1){
		for (i=0;i<a;i++){
			html_imprimir+='<img src="img/cerdo_cabeza.png" class="imagen_suma">';
		}
		html_imprimir+='&nbsp;<img src="img/mas.png" class="imagen_suma">&nbsp;';
		for (i=0;i<b;i++){
			html_imprimir+='<img src="img/cerdo_cabeza.png" class="imagen_suma">';
		}
		
	}else{
	
	if (b<0){
		b=Math.abs(b);
		html_imprimir='&nbsp;&nbsp;'+a +'<br>- ' + b;	
	}else{
		html_imprimir='&nbsp;&nbsp;'+a +'<br>+ ' + b;	
	}
	}
	$("#salida_juego").html('<div class="letra_grande">'+html_imprimir+'</div>');
}
function imprime_fin(correctas, incorrectas){
	if (incorrectas > correctas) frase='Debes Practicar un Poco Más';
	else{
		var porcentaje=(Math.round((correctas*100)/(correctas + incorrectas)));
		if (porcentaje > 90) frase='¡¡¡Eres un Genio!!! ¡¡Aumenta la dificultad del Juego desde el Menú...!!';
		else if (porcentaje >=80) frase='¡¡Lo hiciste Genial, sigue así!!';
		else if (porcentaje >=65) frase='¡¡Bien Hecho, Sigue Practicando!!';
		else if (porcentaje >=50) frase='¡¡Bien!!, ¡¡Vas por el buen Camino!!';
	}
	$('#respuesta').slideUp();
	$('#boton_start').slideDown();
	$("#salida_juego").html('HAS RESUELTO CORRECTAMENTE '+ correctas+ ' OPERACIONES<br><br> Y HAS FALLADO EN '+incorrectas+' OPERACIONES<br><br>'+frase+'<br><br>');
}

function aleatorioInt (min, max) {
    //devuelve un entero entre min y max inclusive
	return Math.floor(Math.random() * (max - min + 1)) + min;
}


//Nivel muy facil: a+b<=10 a-b a,b<=10 a=>b
//Nivel facil: a+b a,b<=10 a-b a,b<=15 a=>b
//Nivel medio: a+b a,b<=20 a-b a,b<=20 a>=b
//Nivel dificil: a+b a,b<=50 a-b a,b<=50 a>=b
//Nivel muy dificil: a+b a,b<=100


		
		
		